## backbone 1.0.0

=== DESCRIPTION ===
Package: backbone
Type: Package
Title: Extracts the Backbone from Weighted Graphs
Version: 1.0.0
Authors@R: c(
    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
    person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "aut")) 
Description: Provides methods for extracting from a weighted graph 
    a binary or signed backbone that retains only the significant edges. 
    The user may input a weighted graph, or a bipartite graph 
    from which a weighted graph is first constructed via projection.
    Backbone extraction methods include the stochastic degree sequence model (Neal, Z. P. (2014). <doi:10.1016/j.socnet.2014.06.001>),
    hypergeometric model (Neal, Z. (2013). <doi:10.1007/s13278-013-0107-y>), 
    the fixed degree sequence model (Zweig, K. A., and Kaufmann, M. (2011). <doi:10.1007/s13278-011-0021-0>),
    as well as a universal threshold method. 
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Depends: R (>= 2.10)
Imports: Matrix, utils, stats
Suggests: knitr, rmarkdown, testthat, igraph
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-09-11 21:23:28 UTC; Rachel
Author: Rachel Domagalski [aut, cre],
  Zachary Neal [aut],
  Bruce Sagan [aut]
Maintainer: Rachel Domagalski <domagal9@msu.edu>
Repository: CRAN
Date/Publication: 2019-09-19 10:30:02 UTC

## backbone 0.3.3

=== debian/changelog ===
backbone (0.3.3-4) unstable; urgency=low

  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Feb 2011 02:59:14 +0100

backbone (0.3.3-3) unstable; urgency=low

  * Fix install compressed lib dot-delimited (not dash-delimited).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Jan 2011 00:00:25 +0100

backbone (0.3.3-2) unstable; urgency=low

  * Bump copyright format to Subversion candidate draft 162 of DEP5.
  * Add copyright and licensing for test/vendor/zepto.js.
  * Install uncompressed library (not symlink to compressed one).
  * Tighten dependencies:
    + Depend on libjs-underscore.
    + Recommend libjs-json.
    + Recommend (not yet packaged) libjs-zepto, as fallback for
      libjs-jquery.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jan 2011 21:14:08 +0100

backbone (0.3.3-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#608424.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Dec 2010 22:31:24 +0100

=== debian/control ===
Source: backbone
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo,
 yui-compressor
Standards-Version: 3.9.1
Homepage: http://documentcloud.github.com/backbone/
Vcs-Git: git://git.debian.org/git/collab-maint/backbone
Vcs-Browser: http://git.debian.org/?p=collab-maint/backbone.git

Package: libjs-backbone
Architecture: all
Depends: ${misc:Depends},
 libjs-underscore
Recommends: javascript-common,
 libjs-jquery | libjs-zepto,
 libjs-json
Description: some Backbone for JS Apps with Models, Views, Collections, and Events
 Backbone supplies structure to JavaScript-heavy applications by
 providing models key-value binding and custom events, collections with
 a rich API of enumerable functions, views with declarative event
 handling, and connects it all to your existing application over a
 RESTful JSON interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Backbone
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/documentcloud/backbone/
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 026024ee0dac688b2c571e94f1d9a5dd

# Silence images in addition to the default debian files
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^docs/images/.*\.png|debian/(changelog|copyright(|_hints|_newhints))$

DEB_INSTALL_DOCS_libjs-backbone += index.html
DEB_INSTALL_EXAMPLES_libjs-backbone += examples/*

CDBS_BUILD_DEPENDS += , yui-compressor

build/libjs-backbone::
	yui-compressor backbone.js -o debian/backbone.min.js
clean::
	rm -f debian/*.js

## backbone 0.5.3

=== debian/changelog ===
backbone (0.5.3-2+deb7u1) wheezy; urgency=low

  * Non-maintainer upload.
  * Push libnode-uglify as a fallback-build-dependency instead of
    yui-compressor, since libnode-uglify is not in Wheezy.
    Closes: #684828

 -- David Prévot <taffit@debian.org>  Sun, 26 Aug 2012 16:47:33 -0400

backbone (0.5.3-2) unstable; urgency=low

  * Fix provide libnode-backbone (not node-backbone).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Aug 2011 20:27:54 +0200

backbone (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Bump policy compliance to standards-version 3.9.2.
  * Update copyright file:
    + Fix use initial wildcard Files section (not list wildcard
      copyright/licensing in header section).
    + Bump file format to draft 174 of DEP-5.
    + Extend coverage years.
    + Adjust some file paths.
  * Suppress more kinds of images from copyright check.
  * Use uglifyjs as compressor (keeping yui-compressor as fallback to
    ease backporting).
  * Install usable with Node (not only in browsers). Provide
    node-backbone.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Aug 2011 19:19:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.72~),
  debhelper (>= 6),
  dh-buildinfo,
- yui-compressor
-Standards-Version: 3.9.1
+ yui-compressor | libnode-uglify
+Standards-Version: 3.9.2
 Homepage: http://documentcloud.github.com/backbone/
 Vcs-Git: git://git.debian.org/git/collab-maint/backbone
 Vcs-Browser: http://git.debian.org/?p=collab-maint/backbone.git
@@ -19,6 +19,7 @@
 Recommends: javascript-common,
  libjs-jquery | libjs-zepto,
  libjs-json
+Provides: libnode-backbone
 Description: some Backbone for JS Apps with Models, Views, Collections, and Events
  Backbone supplies structure to JavaScript-heavy applications by
  providing models key-value binding and custom events, collections with

=== debian/rules ===
--- 
+++ 
@@ -27,17 +27,25 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/documentcloud/backbone/
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 026024ee0dac688b2c571e94f1d9a5dd
+DEB_UPSTREAM_TARBALL_MD5 = 819395a6bca7ab67e5d61e2eb0252e5c
 
 # Silence images in addition to the default debian files
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^docs/images/.*\.png|debian/(changelog|copyright(|_hints|_newhints))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^docs/images/.*\.(jpg|png)|debian/(changelog|copyright(|_hints|_newhints))$
 
 DEB_INSTALL_DOCS_libjs-backbone += index.html
 DEB_INSTALL_EXAMPLES_libjs-backbone += examples/*
 
-CDBS_BUILD_DEPENDS += , yui-compressor
+# Ease backporting (libnode-uglify is tough to backport)
+# TODO: drop fallback-dependency after Squeeze
+CDBS_BUILD_DEPENDS += , libnode-uglify | yui-compressor
+js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)
 
-build/libjs-backbone::
-	yui-compressor backbone.js -o debian/backbone.min.js
+js-pkgname = libjs-backbone
+js-stems = backbone
+js-min = $(js-stems:%=debian/%.min.js)
+
+build/$(js-pkgname):: $(js-min)
+$(js-min): debian/%.min.js: $(js-basedir)%.js
+	$(js-compressor) -o $@ $<
 clean::
 	rm -f debian/*.js

=== debian/watch ===
version=3
http://githubredir.debian.net/github/documentcloud/backbone /(\d.*).tar.gz

## backbone 0.9.0

=== debian/changelog ===
backbone (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use more flexible regex.
  * Update long description, to sync with upstream.
  * Recommend (as fallback) libjs-ender, now supported upstream.
  * Tighten dependency on {libjs,node}-underscore.
  * Update Homepage URL.
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.
  * Update copyright file:
    + Extend copyright years.
    + Add a Files section (new authors, Expat licensed).
    + Drop duplicate comments.
    + Shorten GPL comment.
    + Quote license strings in comments.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 Jan 2012 22:21:39 +0100

backbone (0.5.3-3) unstable; urgency=low

  * Bump debhelper compatilibity level to 7.
  * Fix install code for web browsers and symlink for Node (not
    opposite: not always supported by web servers).
  * Enable regression tests.
    Build-depend on coffescript.
  * Improve short description.
  * Provide package node-backbone (not just as virtual package by
    libjs-backbone), to ease installing without Node.
  * Extend copyright for Debian packaging.
  * Relax to build-depend unversioned on debhelper and cdbs: needed
    versions satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Dec 2011 01:47:07 +0700

=== debian/control ===
Source: backbone
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 coffeescript,
 libnode-uglify | yui-compressor
Standards-Version: 3.9.2
Homepage: http://backbonejs.org/
Vcs-Git: git://git.debian.org/git/collab-maint/backbone
Vcs-Browser: http://git.debian.org/?p=collab-maint/backbone.git

Package: libjs-backbone
Architecture: all
Depends: ${misc:Depends},
 libjs-underscore (>= 1.3.1~)
Recommends: javascript-common,
 libjs-jquery | libjs-zepto | libjs-ender,
 libjs-json
Description: some Backbone for JavaScript applications - browser library
 Backbone gives structure to your serious JavaScript web applications by
 supplying models with key-value binding and custom events, collections
 with a rich API of enumerable functions, views with declarative event
 handling, and connects it all to your existing API over a RESTful JSON
 interface.
 .
 This package contains backbone usable directly in web browsers.

Package: node-backbone
Architecture: all
Depends: ${misc:Depends},
 nodejs,
 libjs-backbone,
 node-underscore (>= 1.3.1~)
Recommends: libjs-jquery | libjs-zepto | libjs-ender,
 libjs-json
Description: some Backbone for JavaScript applications - Node module
 Node is an event-based server-side JavaScript engine.
 .
 Backbone gives structure to your serious JavaScript web applications by
 supplying models with key-value binding and custom events, collections
 with a rich API of enumerable functions, views with declarative event
 handling, and connects it all to your existing API over a RESTful JSON
 interface.
 .
 This package contains node-uuid usable with Node.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010, 2011 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Backbone
 #
 # This program is free software; you can redistribute it and/or modify
@@ -20,32 +20,63 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
+libname = backbone
+js-pkgname = libjs-$(libname)
+js-stems = $(libname)
+node-pkgname = node-$(libname)
+
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_URL = http://githubredir.debian.net/github/documentcloud/backbone/
+DEB_UPSTREAM_URL = http://githubredir.debian.net/github/documentcloud/$(libname)
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 819395a6bca7ab67e5d61e2eb0252e5c
+DEB_UPSTREAM_TARBALL_MD5 = f6dd75afd451968ce628c4ab4a703a42
 
 # Silence images in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^docs/images/.*\.(jpg|png)|debian/(changelog|copyright(|_hints|_newhints))$
 
-DEB_INSTALL_DOCS_libjs-backbone += index.html
-DEB_INSTALL_EXAMPLES_libjs-backbone += examples/*
+DEB_INSTALL_DOCS_ALL += README.md
+
+CDBS_BUILD_DEPENDS += , coffeescript
+build/coffeescript:: debian/stamp-build
+debian/stamp-build:
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,coffee test/*.coffee)
+	touch $@
+clean::
+	rm -f debian/stamp-build
+
+DEB_INSTALL_DOCS_ALL += index.html
+DEB_INSTALL_EXAMPLES_$(js-pkgname) += examples/*
 
 # Ease backporting (libnode-uglify is tough to backport)
 # TODO: drop fallback-dependency after Squeeze
 CDBS_BUILD_DEPENDS += , libnode-uglify | yui-compressor
 js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)
 
-js-pkgname = libjs-backbone
-js-stems = backbone
-js-min = $(js-stems:%=debian/%.min.js)
+# TODO: generalize parts below as a CDBS javascript snippet
+
+#js-basedir =
+js-dirname ?= $(libname)
+js-stems ?= $(basename $(wildcard $(js-basedir)*.js))
+js-min ?= $(js-stems:$(js-basedir)%=debian/%.min.js)
+js-destdir ?= /usr/share/javascript/$(js-dirname)
+js-compressor ?= uglifyjs
+js-compressor-opts ?= -o $@ $<
+
+DEB_DH_INSTALL_ARGS_$(js-pkgname) = $(addsuffix .js,$(js-stems)) debian/*.min.js $(js-destdir)
 
 build/$(js-pkgname):: $(js-min)
 $(js-min): debian/%.min.js: $(js-basedir)%.js
-	$(js-compressor) -o $@ $<
+	$(js-compressor) $(js-compressor-opts)
 clean::
 	rm -f debian/*.js
+
+# TODO: maybe generalize parts below as a CDBS node snippet
+
+node-dirname ?= $(libname)
+js-nodestem ?= $(libname)
+node-destdir ?= /usr/lib/nodejs/
+
+DEB_DH_LINK_$(node-pkgname) = $(js-destdir)/$(js-nodestem).js $(node-destdir)$(node-dirname).js

=== debian/watch ===
version=3
http://githubredir.debian.net/github/documentcloud/backbone .*?(\d[^/]*).tar.gz

## backbone 0.9.1

=== debian/changelog ===
backbone (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Feb 2012 11:55:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/documentcloud/$(libname)
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = f6dd75afd451968ce628c4ab4a703a42
+DEB_UPSTREAM_TARBALL_MD5 = adad938b293d186b9a91db505ee3cb02
 
 # Silence images in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^docs/images/.*\.(jpg|png)|debian/(changelog|copyright(|_hints|_newhints))$

## backbone 0.9.2

=== debian/changelog ===
backbone (0.9.2-4) unstable; urgency=low

  * Fix build-depend on node-uglify (not libnode-uglify).
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment sections to obey silly
      restrictions of copyright format 1.0.
    + Rename a license shortname to more sensible Expat~0-clause.
    + Fix add (virtually empty, but mandated by format) GPL-2 License
      paragraph.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Dec 2012 21:51:38 +0100

backbone (0.9.2-3) unstable; urgency=low

  * Fix break and replace older libjs* package shipping also node* file.
    Closes: bug#694469. Thanks to Andreas Beckmann.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Nov 2012 19:09:26 +0100

backbone (0.9.2-2) unstable; urgency=low

  * Update watch and rules files to directly use github.com URL (not
    githubredir.debian.net).
  * Bump dephelper compatibility level to 8.
  * Build-depend on devscripts, to always check copyright during build.
  * Fix enable testsuite.
  * Build-depend on node-underscore: Needed for testsuite.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Nov 2012 14:27:03 +0100

backbone (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org URL in Vcs-Browser field.
  * Update copyright file:
    + Bump copyright file format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Mar 2012 12:27:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
+ devscripts,
  debhelper,
  dh-buildinfo,
  coffeescript,
- libnode-uglify | yui-compressor
-Standards-Version: 3.9.2
+ node-underscore,
+ node-uglify | yui-compressor
+Standards-Version: 3.9.3
 Homepage: http://backbonejs.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/backbone
-Vcs-Browser: http://git.debian.org/?p=collab-maint/backbone.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/backbone.git
 
 Package: libjs-backbone
 Architecture: all
@@ -37,6 +39,8 @@
  node-underscore (>= 1.3.1~)
 Recommends: libjs-jquery | libjs-zepto | libjs-ender,
  libjs-json
+Breaks: ${cdbs:Breaks}
+Replaces: ${cdbs:Replaces}
 Description: some Backbone for JavaScript applications - Node module
  Node is an event-based server-side JavaScript engine.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010, 2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Backbone
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)
jspkg = libjs-$(pkg)
js-stems = $(pkg)
nodepkg = node-$(pkg)

DEB_UPSTREAM_URL = https://github.com/documentcloud/$(pkg)/archive
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_MD5 = b6fe3d4de9dcd489a11ce7a3c7aac2c6

# Handle package split
CDBS_BREAKS_$(nodepkg) = libjs-backbone (<< 0.5.3-3)
CDBS_REPLACES_$(nodepkg) = libjs-backbone (<< 0.5.3-3)

# Silence images in addition to the default debian files
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^docs/images/.*\.(jpg|png)|debian/(changelog|copyright(|_hints|_newhints))$

DEB_INSTALL_DOCS_ALL += README.md

CDBS_BUILD_DEPENDS += , coffeescript, node-underscore
build/$(jspkg):: debian/stamp-build
debian/stamp-build:
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,coffee test/*.coffee)
	touch $@
clean::
	rm -f debian/stamp-build

DEB_INSTALL_DOCS_ALL += index.html
DEB_INSTALL_EXAMPLES_$(jspkg) += examples/*

# Ease backporting (node-uglify is tough to backport)
# TODO: drop fallback-dependency after Squeeze
CDBS_BUILD_DEPENDS += , node-uglify | yui-compressor
js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

# TODO: generalize parts below as a CDBS javascript snippet

#js-basedir =
js-dirname ?= $(pkg)
js-stems ?= $(basename $(wildcard $(js-basedir)*.js))
js-min ?= $(js-stems:$(js-basedir)%=debian/%.min.js)
js-destdir ?= /usr/share/javascript/$(js-dirname)
js-compressor ?= uglifyjs
js-compressor-opts ?= -o $@ $<

DEB_DH_INSTALL_ARGS_$(jspkg) = $(addsuffix .js,$(js-stems)) debian/*.min.js $(js-destdir)

build/$(jspkg):: $(js-min)
$(js-min): debian/%.min.js: $(js-basedir)%.js
	$(js-compressor) $(js-compressor-opts)
clean::
	rm -f debian/*.js

# TODO: maybe generalize parts below as a CDBS node snippet

node-dirname ?= $(pkg)
js-nodestem ?= $(pkg)
node-destdir ?= /usr/lib/nodejs/

DEB_DH_LINK_$(nodepkg) = $(js-destdir)/$(js-nodestem).js $(node-destdir)$(node-dirname).js

=== debian/watch ===
version=3
https://github.com/documentcloud/backbone/tags .*/archive/v?(\d[\d\.]+).tar.gz

## backbone 0.9.10

=== debian/changelog ===
backbone (0.9.10-3) unstable; urgency=medium

  * Stop build-depend on phantomjs and avoid using it for testsuite.
    Closes: bug#768754. Thanks to Lucas Nussbaum.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Nov 2014 02:26:40 +0100

backbone (0.9.10-2) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix testsuite to pass with
    Underscore 1.5.0 and newer.
    Closes: bug#770060. Thanks to Daniel Schepler and Matt Kraai.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Nov 2014 17:14:00 +0100

backbone (0.9.10-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Bump standards-version to 3.9.5.
  * Improve testsuite handling:
    + Add patch 2001 to use separately packaged Javascript libraries.
    + Enable more tests.
  * Update package relations:
    + Declare binary relations in rules file.
    + Build-depend on phantomjs, libjs-json, libjs-jquery and
      libjs-underscore: Needed for testsuite.
  * Update copyright file:
    + Update coverage of convenience code copies.
    + Extend coverage for packaging
    + bump licensing for packaging to GPL-3+.
    + Fix cover example code.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update Vcs-* fields: Packaging git moved to pkg-javascript area of
    Alioth.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 May 2014 18:33:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,22 @@
  devscripts,
  debhelper,
  dh-buildinfo,
+ node-uglify | yui-compressor,
  coffeescript,
- node-underscore,
- node-uglify | yui-compressor
-Standards-Version: 3.9.3
+ libjs-json,
+ libjs-jquery,
+ libjs-underscore,
+ node-underscore
+Standards-Version: 3.9.5
 Homepage: http://backbonejs.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/backbone
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/backbone.git
+Vcs-Git: git://git.debian.org/git/pkg-javascript/backbone
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/backbone.git
 
 Package: libjs-backbone
 Architecture: all
-Depends: ${misc:Depends},
- libjs-underscore (>= 1.3.1~)
-Recommends: javascript-common,
- libjs-jquery | libjs-zepto | libjs-ender,
- libjs-json
+Depends: ${cdbs:Depends},
+ ${misc:Depends}
+Recommends: ${cdbs:Recommends}
 Description: some Backbone for JavaScript applications - browser library
  Backbone gives structure to your serious JavaScript web applications by
  supplying models with key-value binding and custom events, collections
@@ -33,12 +34,9 @@
 
 Package: node-backbone
 Architecture: all
-Depends: ${misc:Depends},
- nodejs,
- libjs-backbone,
- node-underscore (>= 1.3.1~)
-Recommends: libjs-jquery | libjs-zepto | libjs-ender,
- libjs-json
+Depends: ${cdbs:Depends},
+ ${misc:Depends}
+Recommends: ${cdbs:Recommends}
 Breaks: ${cdbs:Breaks}
 Replaces: ${cdbs:Replaces}
 Description: some Backbone for JavaScript applications - Node module

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010, 2011 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2014 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Backbone
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -27,7 +27,22 @@
 
 DEB_UPSTREAM_URL = https://github.com/documentcloud/$(pkg)/archive
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = b6fe3d4de9dcd489a11ce7a3c7aac2c6
+DEB_UPSTREAM_TARBALL_MD5 = d24ee0a1d401705c8bb098b5ebf01725
+
+# Ease backporting (node-uglify is tough to backport)
+# TODO: drop fallback-dependency when uglifyjs is in Debian stable
+CDBS_BUILD_DEPENDS += , node-uglify | yui-compressor
+js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)
+
+CDBS_BUILD_DEPENDS +=, coffeescript, phantomjs, libjs-json, libjs-jquery
+CDBS_BUILD_DEPENDS +=, libjs-underscore
+CDBS_BUILD_DEPENDS +=, node-underscore
+CDBS_DEPENDS_$(jspkg) = libjs-underscore
+CDBS_DEPENDS_$(nodepkg) = nodejs, libjs-backbone
+CDBS_DEPENDS_$(nodepkg) +=, node-underscore
+CDBS_RECOMMENDS_ALL = libjs-json
+CDBS_RECOMMENDS_ALL +=, libjs-jquery | libjs-zepto | libjs-ender
+CDBS_RECOMMENDS_$(jspkg) = javascript-common
 
 # Handle package split
 CDBS_BREAKS_$(nodepkg) = libjs-backbone (<< 0.5.3-3)
@@ -38,21 +53,16 @@
 
 DEB_INSTALL_DOCS_ALL += README.md
 
-CDBS_BUILD_DEPENDS += , coffeescript, node-underscore
 build/$(jspkg):: debian/stamp-build
 debian/stamp-build:
 	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,coffee test/*.coffee)
+#	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,phantomjs test/vendor/runner.js test/index.html?noglobals=true)
 	touch $@
 clean::
 	rm -f debian/stamp-build
 
 DEB_INSTALL_DOCS_ALL += index.html
 DEB_INSTALL_EXAMPLES_$(jspkg) += examples/*
-
-# Ease backporting (node-uglify is tough to backport)
-# TODO: drop fallback-dependency after Squeeze
-CDBS_BUILD_DEPENDS += , node-uglify | yui-compressor
-js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)
 
 # TODO: generalize parts below as a CDBS javascript snippet

## backbone 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.0.0
+Version: 1.1.0
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -19,14 +19,17 @@
 LazyData: true
 RoxygenNote: 6.1.1
 Depends: R (>= 2.10)
-Imports: Matrix, utils, stats
-Suggests: knitr, rmarkdown, testthat, igraph
+Imports: Matrix, methods, poibin, stats, utils
+Suggests: igraph, knitr, rmarkdown, speedglm, testthat
 VignetteBuilder: knitr
+URL: https://github.com/domagal9/backbone,
+        https://www.zacharyneal.com/backbone
+BugReports: https://github.com/domagal9/backbone/issues
 NeedsCompilation: no
-Packaged: 2019-09-11 21:23:28 UTC; Rachel
+Packaged: 2019-12-02 15:04:36 UTC; rache
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2019-09-19 10:30:02 UTC
+Date/Publication: 2019-12-02 19:30:09 UTC

## backbone 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.1.0
+Version: 1.2.0
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -17,19 +17,19 @@
 License: GPL-3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 Depends: R (>= 2.10)
-Imports: Matrix, methods, poibin, stats, utils
-Suggests: igraph, knitr, rmarkdown, speedglm, testthat
+Imports: Matrix, methods, stats, utils, CVXR, igraph, network
+Suggests: knitr, rmarkdown, speedglm, testthat
 VignetteBuilder: knitr
 URL: https://github.com/domagal9/backbone,
         https://www.zacharyneal.com/backbone
 BugReports: https://github.com/domagal9/backbone/issues
 NeedsCompilation: no
-Packaged: 2019-12-02 15:04:36 UTC; rache
+Packaged: 2020-05-15 01:39:40 UTC; Rachel
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2019-12-02 19:30:09 UTC
+Date/Publication: 2020-05-15 19:30:02 UTC

## backbone 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -19,17 +19,18 @@
 LazyData: true
 RoxygenNote: 7.1.0
 Depends: R (>= 2.10)
-Imports: Matrix, methods, stats, utils, CVXR, igraph, network
+Imports: Matrix, methods, stats, utils, CVXR, igraph, network, Rcpp
 Suggests: knitr, rmarkdown, speedglm, testthat
 VignetteBuilder: knitr
 URL: https://github.com/domagal9/backbone,
         https://www.zacharyneal.com/backbone
 BugReports: https://github.com/domagal9/backbone/issues
-NeedsCompilation: no
-Packaged: 2020-05-15 01:39:40 UTC; Rachel
+LinkingTo: Rcpp
+NeedsCompilation: yes
+Packaged: 2020-07-02 17:24:04 UTC; Rachel
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2020-05-15 19:30:02 UTC
+Date/Publication: 2020-07-03 04:40:02 UTC

## backbone 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.2.1
+Version: 1.2.2
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -27,10 +27,10 @@
 BugReports: https://github.com/domagal9/backbone/issues
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2020-07-02 17:24:04 UTC; Rachel
+Packaged: 2020-08-26 15:41:08 UTC; Rachel
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2020-07-03 04:40:02 UTC
+Date/Publication: 2020-08-26 22:50:16 UTC

## backbone 1.2.3~dfsg

=== debian/changelog ===
backbone (1.2.3~dfsg-3) unstable; urgency=medium

  * Update package relations:
    + Stop recommend non-existing libjs-zepto or libjs-ender.
    + Relax to suggest (not recommend) libjs-jquery/libjs-lodash and
      libjs-json, and only for libjs-backbone (not node-backbone).
      Document new suggestions in long description.
    + Stop build-depend on libjs-json libjs-jquery libjs-qunit
      (seemingly needed only for currently disabled PhantomJS tests).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Aug 2016 23:38:23 +0200

backbone (1.2.3~dfsg-2) unstable; urgency=medium

  * Fix really tighten to (build-)depend versioned on libjs-underscore
    and node-underscore (as intended in 1.2.3~dfsg-1).
  * Fix install into subdir of node library dir. See bug#772836.
  * Fix really install package.json into node package (as intended in
    1.2.3~dfsg-1).
  * Stop fallback-build-depend on yui-compressor.
  * Extract copyright info from most binary files (skip only eot fonts).
    Tighten build-dependency on cdbs.
    Build-depend on libregexp-assemble-perl libimage-exiftool-perl
    libfont-ttf-perl.
  * Generate and include source map. Build-depend on node-source-map.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Aug 2016 22:53:10 +0200

backbone (1.2.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: Bug#746787, #797698.

  * Declare compliance with Debian Policy 3.9.8.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use cgit.
  * Stop track upstream source with CDBS (use gpb --uscan).
  * Update watch file:
    + Bump to version 4.
    + Use Github pattern.
    + Mention gpb --uscan in usage comment.
    + Temporarily limit upstream version (1.3.x requires too new
      Underscore).
  * Build-depend on licensecheck (not devscripts).
  * Repackage upstream tarball:
    + Avoid non-free font.
    + Avoid potentially source-less auto-generated (minified) files.
    + Avoid convenience code copies.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for main author to include recent years.
    + Extend coverage of packaging to include current year.
    + Cover Normalize file (Expat licensed).
    + Cover docco.css (BSD-3-Clause licensed).
    + Cover Roboto fonts (Apache-2.0 licensed).
    + Update Backbone.localStorage paths.
    + Stop cover convenience code copies.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Git-ignore quilt .pc dir.
  * Modernize git-buildpackage config: Filter any .gitignore file.
  * Recommend libjs-lodash as yet another alternative to libjs-jquery.
  * Fix install package.json into node package.
  * Drop patch cherry-picked upstream.
  * Extend patch 2001 (use system-shared code) to cover tests and
    upstream index.html.
    Build-depend on libjs-qunit.
    Suggest libjs-jquery-lazyload, and mention why in long descriptions.
  * Tighten to (build-)depend versioned on libjs-underscore and
    node-underscore.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Aug 2016 17:09:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,29 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
- devscripts,
+Build-Depends: cdbs (>= 0.4.131~),
+ licensecheck,
+ libregexp-assemble-perl,
+ libimage-exiftool-perl,
+ libfont-ttf-perl,
  debhelper,
  dh-buildinfo,
- node-uglify | yui-compressor,
+ node-uglify,
+ node-source-map,
  coffeescript,
- libjs-json,
- libjs-jquery,
- libjs-underscore,
- node-underscore
-Standards-Version: 3.9.5
+ libjs-underscore (>= 1.7.0~dfsg),
+ node-underscore (>= 1.7.0~dfsg)
+Standards-Version: 3.9.8
 Homepage: http://backbonejs.org/
-Vcs-Git: git://git.debian.org/git/pkg-javascript/backbone
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/backbone.git
+Vcs-Git: https://git.debian.org/git/pkg-javascript/backbone
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/backbone.git
 
 Package: libjs-backbone
 Architecture: all
 Depends: ${cdbs:Depends},
  ${misc:Depends}
 Recommends: ${cdbs:Recommends}
+Suggests: ${cdbs:Suggests}
 Description: some Backbone for JavaScript applications - browser library
  Backbone gives structure to your serious JavaScript web applications by
  supplying models with key-value binding and custom events, collections
@@ -31,12 +34,20 @@
  interface.
  .
  This package contains backbone usable directly in web browsers.
+ .
+ RESTful persistence and DOM manipulation with Backbone.View requires
+ either of the packages libjs-jquery libjs-lodash, and libjs-json for
+ older Internet Explorer support.
+ .
+ Optimal rendering of upstream index.html requires the package
+ libjs-jquery-lazyload.
 
 Package: node-backbone
 Architecture: all
 Depends: ${cdbs:Depends},
  ${misc:Depends}
 Recommends: ${cdbs:Recommends}
+Suggests: ${cdbs:Suggests}
 Breaks: ${cdbs:Breaks}
 Replaces: ${cdbs:Replaces}
 Description: some Backbone for JavaScript applications - Node module
@@ -49,3 +60,6 @@
  interface.
  .
  This package contains node-uuid usable with Node.
+ .
+ Optimal rendering of upstream index.html requires the package
+ libjs-jquery-lazyload.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2014, 2016 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Backbone
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

lib = $(DEB_SOURCE_PACKAGE)
pkg-js = libjs-$(lib)
pkg-node = node-$(lib)
js-reg = $(lib).js
js-min = $(lib).min.js
js-nodestem = $(lib)
js-destdir = /usr/share/javascript/$(lib)
node-destdir = /usr/lib/nodejs/$(lib)

# Minimal requirement according to upstream index.html
underscore_minver = 1.7.0~dfsg

CDBS_BUILD_DEPENDS +=, node-uglify, node-source-map
CDBS_BUILD_DEPENDS +=, coffeescript
CDBS_BUILD_DEPENDS +=, libjs-underscore (>= $(underscore_minver))
CDBS_BUILD_DEPENDS +=, node-underscore (>= $(underscore_minver))
#CDBS_BUILD_DEPENDS +=, phantomjs, libjs-json, libjs-jquery, libjs-qunit
CDBS_DEPENDS_$(pkg-js) = libjs-underscore (>= $(underscore_minver))
CDBS_DEPENDS_$(pkg-node) = nodejs, libjs-backbone
CDBS_DEPENDS_$(pkg-node) +=, node-underscore (>= $(underscore_minver))
CDBS_RECOMMENDS_$(pkg-js) = javascript-common
CDBS_SUGGESTS_$(pkg-js) +=, libjs-jquery | libjs-lodash, libjs-json
CDBS_SUGGESTS_ALL = libjs-jquery-lazyload

# Handle package split
CDBS_BREAKS_$(pkg-node) = libjs-backbone (<< 0.5.3-3)
CDBS_REPLACES_$(pkg-node) = libjs-backbone (<< 0.5.3-3)

DEB_COPYRIGHT_EXTRACT_EXTS = jpg png ttf woff
DEB_COPYRIGHT_CHECK_IGNORE_EXTS = eot

build/$(pkg-js):: $(js-min)
$(js-min): %.min.js: %.js
	uglifyjs --source-map $*.min.map -o $@ $<
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,coffee test/*.coffee)
#	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,phantomjs test/vendor/runner.js test/index.html?noglobals=true)
clean::
	rm -f $(js-min) $(js-min:js=map)

DEB_INSTALL_DOCS_ALL += README.md index.html
DEB_INSTALL_EXAMPLES_$(pkg-js) += examples/*

DEB_DH_INSTALL_ARGS_$(pkg-js) = $(js-reg) $(js-min) $(js-min:js=map) $(js-destdir)
DEB_DH_INSTALL_ARGS_$(pkg-node) = package.json $(node-destdir)
DEB_DH_LINK_$(pkg-node) = $(js-destdir)/$(js-nodestem).js $(node-destdir)/index.js

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%backbone-$1.tar.gz%,dversionmangle=s/~dfsg\d*$//,repacksuffix=~dfsg" \
 https://github.com/documentcloud/backbone/tags \
 (?:.*?/)?v?(1\.2\.[\d.]*)\.tar\.gz debian

## backbone 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.2.2
+Version: 1.3.0
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -17,20 +17,19 @@
 License: GPL-3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 Depends: R (>= 2.10)
-Imports: Matrix, methods, stats, utils, CVXR, igraph, network, Rcpp
-Suggests: knitr, rmarkdown, speedglm, testthat
+Imports: Matrix, methods, stats, utils, igraph, network
+Suggests: knitr, rmarkdown, testthat
 VignetteBuilder: knitr
 URL: https://github.com/domagal9/backbone,
         https://www.zacharyneal.com/backbone
 BugReports: https://github.com/domagal9/backbone/issues
-LinkingTo: Rcpp
-NeedsCompilation: yes
-Packaged: 2020-08-26 15:41:08 UTC; Rachel
+NeedsCompilation: no
+Packaged: 2021-02-02 17:11:13 UTC; Rachel
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2020-08-26 22:50:16 UTC
+Date/Publication: 2021-02-02 17:40:02 UTC

## backbone 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.3.0
+Version: 1.3.1
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -26,10 +26,10 @@
         https://www.zacharyneal.com/backbone
 BugReports: https://github.com/domagal9/backbone/issues
 NeedsCompilation: no
-Packaged: 2021-02-02 17:11:13 UTC; Rachel
+Packaged: 2021-02-16 16:19:15 UTC; Rachel
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2021-02-02 17:40:02 UTC
+Date/Publication: 2021-02-16 17:30:10 UTC
